# __gnu_cxx::subtractive_rng Class Reference
[STL extensions from SGI]

Inheritance diagram for __gnu_cxx::subtractive_rng:

[legend]
Collaboration diagram for __gnu_cxx::subtractive_rng:

[legend]
List of all members.

## Public Types
typedef unsigned | argument_type
| `argument_type` is the type of the
typedef unsigned | result_type
| `result_type` is the return type
## Public Member Functions
unsigned int | operator() (unsigned int __limit)
| Returns a number less than the argument.
| subtractive_rng (unsigned int seed)
| Ctor allowing you to initialize the seed.
| subtractive_rng ()
| Default ctor; initializes its state with some number you don't see.

## Detailed Description

The `subtractive_rng` class is documented on SGI's site. Note that this code assumes that `int` is 32 bits.

Definition at line 333 of file ext/functional.

## Member Typedef Documentation

typedef unsigned std::unary_function< unsigned , unsigned >::argument_type`[inherited]`

| `argument_type` is the type of the Definition at line 104 of file stl_function.h.

typedef unsigned std::unary_function< unsigned , unsigned >::result_type`[inherited]`

| `result_type` is the return type Definition at line 107 of file stl_function.h.

## Constructor & Destructor Documentation

__gnu_cxx::subtractive_rng::subtractive_rng | ( | unsigned int | seed | ) | `[inline]`

| Ctor allowing you to initialize the seed. Definition at line 367 of file ext/functional.

__gnu_cxx::subtractive_rng::subtractive_rng | ( |  | ) | `[inline]`

| Default ctor; initializes its state with some number you don't see. Definition at line 369 of file ext/functional.

## Member Function Documentation

unsigned int __gnu_cxx::subtractive_rng::operator() | ( | unsigned int | __limit | ) | `[inline]`

| Returns a number less than the argument. Definition at line 340 of file ext/functional. References operator()(). Referenced by operator()().

The documentation for this class was generated from the following file:

- ext/functional